Skip to content

Log In

POST
/api/account/login
curl --request POST \
--url https://example.com/api/account/login \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "password": "example" }'

Verifies a customer account’s email/password and returns a customer-scope token. Repeated failures lock the account for a short window.

object
email
required
string format: email
>= 1 characters <= 256 characters
password
required
string
>= 1 characters <= 128 characters
Example generated
{
"email": "hello@example.com",
"password": "example"
}

Credentials accepted.

Media type application/json

Result of a successful signup/login.

object
token
string
nullable
expiresAt
string format: date-time
account

The authenticated customer account attached to the current bearer token.

object
id
string format: uuid
email
string
nullable
fullName
string
nullable
emailVerified
boolean
Example generated
{
"token": "example",
"expiresAt": "2026-04-15T12:00:00Z",
"account": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"email": "example",
"fullName": "example",
"emailVerified": true
}
}

Email or password incorrect.

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Account suspended.

Too many attempts - account temporarily locked.